Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 599612 (CVE-2016-2533, CVE-2016-4009) - <dev-python/pillow-3.1.1: Multiple vulnerabilities
Summary: <dev-python/pillow-3.1.1: Multiple vulnerabilities
Status: RESOLVED FIXED
Alias: CVE-2016-2533, CVE-2016-4009
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A2 [glsa cve cleanup]
Keywords:
Depends on: CVE-2016-9190
Blocks:
  Show dependency tree
 
Reported: 2016-11-12 18:58 UTC by Kristian Fiskerstrand
Modified: 2016-12-31 14:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kristian Fiskerstrand gentoo-dev Security 2016-11-12 18:58:13 UTC
Incoming CVE details
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2016-11-12 18:58:35 UTC
CVE-2016-4009 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-4009):
  Integer overflow in the ImagingResampleHorizontal function in
  libImaging/Resample.c in Pillow before 3.1.1 allows remote attackers to have
  unspecified impact via negative values of the new size, which triggers a
  heap-based buffer overflow.

CVE-2016-2533 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-2533):
  Buffer overflow in the ImagingPcdDecode function in PcdDecode.c in Pillow
  before 3.1.1 and Python Imaging Library (PIL) 1.1.7 and earlier allows
  remote attackers to cause a denial of service (crash) via a crafted PhotoCD
  file.
Comment 2 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-11-17 08:59:29 UTC
@python, please clean the vulnerable versions from the tree.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2016-12-31 14:26:33 UTC
This issue was resolved and addressed in
 GLSA 201612-52 at https://security.gentoo.org/glsa/201612-52
by GLSA coordinator Thomas Deutschmann (whissi).